> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merged customer ticket IDs

> Returns the merged customer ticket IDs.

**Required scopes:** `customers:ro`


## OpenAPI

````yaml /api/customer-data-platform/openapi.json post /get_merged_customer_tickets
openapi: 3.0.0
info:
  title: Customer Data Platform API
  description: A service for collecting, storing, and managing end-user data.
  version: 0.0.1
servers:
  - url: https://api.text.com/cdp
    description: Main production server URL
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken:
      - customers:ro
paths:
  /get_merged_customer_tickets:
    post:
      tags:
        - Customers
      summary: Get merged customer ticket IDs
      description: Returns the merged customer ticket IDs.
      operationId: get-merged-customer-tickets
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_id
              properties:
                customer_id:
                  type: string
                  format: uuid
                  description: The requested customer ID.
                silo:
                  type: string
                  enum:
                    - inbox
                    - archive
                    - spam
                    - trash
                  description: An optional ticket silo filter.
            example:
              customer_id: cf89fa3a-5ee9-4bdb-84ec-38824b2e2786
              silo: inbox
      responses:
        '200':
          description: An array of ticket IDs for the merged customer.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ticket_ids:
                    type: array
                    items:
                      type: string
                      format: uuid
                      description: The requested customer ticket IDs.
              example:
                ticket_ids:
                  - d4e5f6a7-b8c9-0123-defa-b12345678901
                  - e5f6a7b8-c9d0-1234-efab-c23456789012
        '401':
          description: Invalid access token
        '403':
          description: Insufficient scopes
        '404':
          description: Customer not found
        '422':
          description: Invalid request body
        '500':
          description: Internal error
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - customers:ro
components:
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes: {}
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes: {}

````